Page MenuHomePhabricator

Display Swedish parish borders in the webapp from Swedish RAÄ "Fornsok"
Closed, DeclinedPublic

Description

As we have "sockenkod" in Wikidata P777 on abt. 2500 objects see map and picture right. It is used in sv:Wikipedia in Template Mall:Sn-RAÄ that is used on 2528 Swedish Wikipedia pages link

As the external application "Fornsok" has been designed to use "sockenkod" then we can easy link to Fornsok and get displayed the remainings in this area and also see the parish borders they have....

User stories:

  1. As a reader of an article about parishes in Swedish Wikipedia I would like to see a map with the parish borders easy
  2. As a person doing genealogy, I would like to be be able to see the borders of the parish in an easy way and see what remainings exist that will help my research. Easy = a parameter in the URL and not like today that I must understand swedish and click "Kartinställningar" / "Socken"
  3. As a person doing genealogy, I would like to directly see what remainings exists in a specific area and with an URL get to the correct location - see Feature request 2 below

Issues:

  1. Missing a way to add feature request to www.raa.se Riksantikvarieämbetet - Sweden National Heritage Board
  2. see also T200253: Fornsök has no future/framtid

Feature request

  1. Today you need to click on Setup and select Parish "socken" we would like to have this option in an URL to directly activate showing parish border (red boxes in the pictures below) e.g. ?parishborder=YES
  2. If there are no remainings in a parish with coordinates then the URL used today will not work e.g. see Malldiskussion:Sn-RAÄ and Överluleå_socken who has sockenkod 198 ==> non working URL. Better would be if the map could position correctly (Wikidata has coordinates for parishes that can be used)
  3. English menues

Status:
Looks like RAÄ miss a well defined change process that is transparent. Answer is given in different Facebook groups etc but I miss

  • get a change request number
  • get access to a backlog with priorities
  • get a description of the User cases the new application supports
  • get an Agile approach ==>
    • they do sprints and deliver changes that we can test and give feedback on see video

Event Timeline

Salgo60 created this task.Jul 22 2018, 11:23 AM
Salgo60 renamed this task from Display Swedish parish borders i Forsok to Display Swedish parish borders in "Forsok".Jul 22 2018, 11:26 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)
Salgo60 renamed this task from Display Swedish parish borders in "Forsok" to Display Swedish parish borders in the webapp from Swedish RAÄ "Fornsok".Jul 22 2018, 11:31 AM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Jul 22 2018, 11:33 AM
Salgo60 updated the task description. (Show Details)Jul 22 2018, 11:41 AM
Salgo60 updated the task description. (Show Details)Jul 22 2018, 11:48 AM
Salgo60 updated the task description. (Show Details)Jul 22 2018, 11:57 AM
Salgo60 updated the task description. (Show Details)Jul 22 2018, 12:01 PM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Jul 22 2018, 12:05 PM
Salgo60 updated the task description. (Show Details)Jul 22 2018, 12:12 PM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Jul 22 2018, 2:05 PM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Jul 22 2018, 2:34 PM
Salgo60 added a comment.EditedJul 22 2018, 5:27 PM

Should we mark/tag open issues with "external organisations" in some specific way and create Workboards for them so we can see priorities/ responsibilty / have unique numbers to track and also see what other projects are doing with this "partner" see question for best practise in https://phabricator.wikimedia.org/ - my question: Talk:Phabricator/Help

I can see that we in Sweden try to connect the national heritage in Wikidata and that its a small mess how to communicate with the National Libraries, National Archives, museums as they have no good tools to track things i.e. you don't get unique numbers etc.... ==> Phabricator could solve that

I have in project https://phabricator.wikimedia.org/tag/wmse-riksarkivet-tora/ added 2 columns for external dependencies

Input LIBRIS XL --> The national Library
Input Riksarkivet --> The national archives
but even better would be to have some cross project / tag were we gather all tasks for them in a specific area/workboard

I.e. Task https://phabricator.wikimedia.org/T200066 is something I hope will be done by Riksarkivet (the national Archives) ==> I would like to mark this task with something like SE-Riksarkivet ==> that we could have another Workboard SE-Riksarkivet with just tasks related to them

Question: Anything done like this? Should we have a name standard SE-EXT-Riksarkivet or SE-EXT-National Heritage

Good or bad?

olika mognad att jobba ihop

If working together will get more mature between wikipedia and external organisation I can see that we sit down "together" and prioritise the work done....
Salgo60 updated the task description. (Show Details)Jul 22 2018, 5:56 PM
Salgo60 updated the task description. (Show Details)
Salgo60 updated the task description. (Show Details)Jul 22 2018, 6:15 PM
Salgo60 updated the task description. (Show Details)Jul 22 2018, 6:25 PM
Salgo60 updated the task description. (Show Details)
Salgo60 added a comment.EditedJul 22 2018, 7:34 PM

Added feature request to Wikipedia statistics to be able to see all views in sv:Wikipedia for articles that are about a Swedish "socken" see link

Example what we can do today:


Salgo60 added a comment.EditedJul 22 2018, 8:15 PM

Wikipedia a WorldWide project as it best. I asked for a feature request a sunday evening and 10 minutes later I got the answer try the massview tool

==>

Nb that changes to Fornsök are highly unlikely at this juncture, since that application is scheduled to be decommissioned in the near future as part of the DAP programme. The public-facing application which will replace it will, in the immediate term, regrettably require a login to use, making direct links difficult. This will however only be temporary, and a better public-facing solution is intended to follow. I would therefore strongly advise against linking directly to Fornsök; instead use the permanent http://kulturarvsdata.se/ identifiers when referring to ancient sites and monuments.

Using Fornsök for this task seems somewhat counterintuitive in any case. Fornsök objects are harvested to SOCH, which provides the same data in a machine-readable form (RDF/XML and JSON-LD) with a queryable API. With regard to parish data in particular, objects in SOCH relate to their own authority file for parishes, http://kulturarvsdata.se/resurser/aukt/geo/parish . This file contains the parish codes for each parish as described in the OP, as well as rdfs:seeAlso links to the corresponding articles for each parish on sv:Wikipedia. This should make mapping reasonably straightforward. The file does not however contain polygons describing the geographic boundaries of each parish. See https://www.raa.se/hitta-information/k-samsok/att-anvanda-k-samsok/geografisk-auktoritet/ for the other geographical authority files used by SOCH.

In addition, the SOCH search API supports a number of indexes for finding objects by parish. For example, to find all items with a connection to Röks socken in Östergötland (sockenkod 482) you would do: http://kulturarvsdata.se/ksamsok/api?x-api=test&version=1.1&method=search&hitsPerPage=500&startRecord=1&query=parish=482
To limit that to only objects created in that parish, use a different index: http://kulturarvsdata.se/ksamsok/api?x-api=test&version=1.1&method=search&hitsPerPage=500&startRecord=1&query=create_parish=482 , etc.

To learn more about which indexes exist in the API and how to use them, as well as how that data is presented in a SOCH object's RDF, see: https://www.raa.se/hitta-information/k-samsok/att-anvanda-k-samsok/metoder/ , https://www.raa.se/hitta-information/k-samsok/att-anvanda-k-samsok/index-for-statistic-facet/ , and https://www.raa.se/hitta-information/k-samsok/att-anvanda-k-samsok/ytterligare-index-for-sok/ and search for "parish".

Regarding feature request 2. in the OP, I would point out that Fornsök exists to access and display data from the national monuments register, not primarily as a method to access and display Swedish parish data. In other words, in this case you're using it for a purpose other than that for which it was made. If that works for you, great! – but you should not be surprised when it doesn't work (e.g. when trying to link to areas without ancient monuments) because that's not what it was built for.

Salgo60 added a comment.EditedJul 23 2018, 2:16 PM

Thanks for fast Answer and the answer from you is NO
I feel its the same answer I got 2 years ago when asked over a "fika" and still Fornsök is there ;-)

Without having any deeper knowledge of this area I guess Wikidata has already data see map / query

WARNING: With the new DAProcess will those links also die? see [[T200248]]

but the RAÄ maps and the borders I guess is my point is the interesting thing that we miss compared using WDQS generated maps, The benefits we get using WD is that we e.g. have articles in more languages e.g. Q472975 is in 25 languages

Comment feature request 1 - support borders in URL: Feels like a very small code change adding an optional URL parameter that sets a menu option for an a menu option that already exists and will add value to people doing Genealogy plus you get more users accessing RAÄ

I would therefore strongly advise against linking directly to Fornsök

Reality check: It has been done since 2012 see template Mall:Sn-RAÄ funny also to see the comment trying to address the problem we still have 6 years later....

Sockenutbredning erhålls på kartan genom att i ''Kartinställningar'' kryssa för ''Socken''"

this comment is now gone I guess someone gave up ;-)

Fornsök exists to access and display data from the national monuments register, "

And Wikipedia gives the unique possibility for a reader to find and read a parish article and find the RAÅ database and see what exists for that parish. feels you see it as a problem? you have people who has spent 1000 of hours writing articles in Wikipedia and created links to RAÄ and the result is > 1000 000 views/year on those articles..... we ask for a small change...

NOTE: Would be nice if the product owner of Fornsök could confirm this ..... and also if there is some kind of official way to ask feature requests and get them logged like this task has [[T200157]] and is in stage (Input Riksantikvarieämbetet )
  1. point out that Fornsök exists to access and display data from the national monuments register,

For me it feels like a bug and a missing test case when you dont handle the zero option...

Macro ops-problems:

I guess CC-0 parish polygons is what sv:Wikipedia are waiting on .... for the user case parish border..... compare SCB "församlingsgränser" it has been a problem for abt. a month see [[T199802]]....

Summary

  1. We need a way to report errors and feature requests to RAÄ and get unique numbers that we can track
  2. In this User case I feel we are interested in
    1. see the parish border
    2. display what remainings exists for the parish
      1. this last option works ok for a parish using the "sockenkod" except that the application dont handle the zero case and we can easily do a workaround see at WIkiTree version 0.4 Template:SPC_RAÄ (nota bene WikiTree decided not to link to RAÄ one reason I guess was the bad user interface for non swedish speaking people.... it was used 2016/2017)

--over and out--

Comparing WDQS map and RAÄ

Salgo60 closed this task as Declined.Jul 23 2018, 2:41 PM

Status changed to Declined until we get some Agile product ownership

Salgo60 triaged this task as Lowest priority.Jul 23 2018, 2:48 PM
Salgo60 added a comment.EditedJul 23 2018, 3:42 PM

Vidarebefodrade Info att Mall Sn-RAÄ snart är obsolete länk

Response from super user

Fornsök är den kanske viktigaste länken på socknsidorna, kan de verkligen bara ta bort den, ersätts den inte?

länk FB RAÅ om samma förfrågan om sockengränser 11 oktober 2016 (galet att aldrig få loggnummer från RAÄ utan bara massa lösa länkar på socialamedier känns inte seriöst)

Salgo60 added a comment.EditedJul 24 2018, 5:51 AM

Backar ett steg och frågar RAÄ hur deras ändringsprocess fungerar se FB och vart jag hittar den se [T200248]

Tackar... vårt logg nummer är T200157
Eftersom vi haft bl.a. denna FB dialog sedan 2016 så vore det bra att få reda på hur eran ändringsprocess fungerar eller skall fungera
Frågor jag har

  1. Var felanmälar jag
  2. Vad skickar jag in ändringsförslag. Input som T200157 att vi på Wikipedia har 1000 000 läsare/år av sockensidorna där +2500 sidor länkar till er fornsök app
  3. Hur följs ärendet? Hur stor uppskattar ni att förändringen är, eran prioritering och kanske backlog jmf https://phabricator.wikimedia.org/tag/wmse-riksarkivet-tora/ (att skicka in en till parameter i en URL för att sätta ett menyval som finns borde vara typ 5 rader kod = 1 timme) Idag får jag som extern en känsla externt att det är virrigt och otydligt och att det saknas tydlig ändringshantering utan olika personer bara tycker till.... Tendensen är att fler och fler externa system knyts närmare varandra med exempelvis Öppen data /federated sökningar och då blir kraven större att det går att kommunicera entydigt med er och att dialogen är spårbar..... Antar att ni borde finnas med på ett hörn även i det Tora projekt som Riksarkivet driver och nu Wikidata har som ambition att koppla sig mot TORA se [T199858]

Skall sådant fungera krävs det mer tydlighet än inlägg på FB
När det gäller Wikipedia <-> RAÄ (Fornsök) så finns intresse hos er så är det normala att man skapar användarfall/User cases/User stories dvs.
"Som läsare på Wikipedia av artikel om socknar vill jag enkelt kunna ta del av RAÄ informationen för denna socken på en detaljerad karta där fornminnesinformation visas"
detta bör sedan ligga som underlag till er produktägare att besluta skall detta stödjas eller ej och isåfall när och hur

NOTE: this dialogue is done as a comment on a Facebook picture ;-)

Macro challenge-accepted:

Thanks for fast Answer and the answer from you is NO

That's not an "official RAÄ answer" - I don't work with Fornsök. That's me informing you of the situation at the present time, and advising that I deem it highly unlikely that significant changes will be made to Fornsök in light of the ongoing work. I'm trying to provide useful information, but I don't have all the answers. I will advise the product owner of Fornsök that this task exists.

WARNING: With the new DAProcess will those links also die?

URLs of the form "http://www.fmis.raa.se/cocoon/fornsok/..." have never been guaranteed to be permanent. I don't know whether or not such URLs will continue to work after DAP, but I think it would be safest to assume not. Monuments in Fornsök have persistent URIs on "http://kulturarvsdata.se/raa/fmi/..." and persistent URLs on "http://kulturarvsdata.se/raa/fmi/html/..." (which at present redirect to the corresponding "http://www.fmis.raa.se/cocoon/fornsok/..." URL). These links are guaranteed to be persistent, and as far as I am aware it is these URIs that are used for monuments on Wikipedia (in e.g. infoboxes and links) and on WikiData. WikiMedia Sverige has been aware of these permanent links for a long time, and I would be surprised if there were widespread use of "http://www.fmis.raa.se/cocoon/fornsok/..." URLs linking to monuments on sv:Wikipedia at this time.

However, I appreciate that the situation for parishes is different, and there are no corresponding permanent URIs for Fornsök's parish data. (The data at http://kulturarvsdata.se/resurser/aukt/geo/parish is not harvested from Fornsök, and lacks polygons.) TORA is the best and only alternative at present, and we have a close collaboration with the National Archives on that project.

I am sympathetic to what you're asking for, and have raised the need for permanent URIs for parishes as well as other concepts and classifications a number of times. I still hope that we will be able to implement such permanent identifiers, either as part of DAP's data platform or as part of SOCH. However I think TORA is the future when it comes to parish data, and if I were you I would focus my efforts there.

Comment feature request 1 - support borders in URL: Feels like a very small code change adding an optional URL parameter that sets a menu option for an a menu option that already exists and will add value to people doing Genealogy plus you get more users accessing RAÄ

I agree! And in fact, there already is a Socken parameter in Fornsök links which in theory controls whether the parish boundaries map layer is switched on or not, exactly as you describe in the OP! Compare parish boundaries OFF and parish boundaries ON. But as you can see, it doesn't appear to work! <headdesk> This is clearly an error, and I have filed it as a bug.

So, what you are asking for has in fact already been implemented... it just doesn't work properly! Hopefully it will be fixed soon, and may be something we can include in the new DAP-based platform that will replace Fornsök.

I would therefore strongly advise against linking directly to Fornsök

Reality check: It has been done since 2012 see template Mall:Sn-RAÄ funny also to see the comment trying to address the problem we still have 6 years later....

I'm not denying it's been/being done. I'm only saying that those links should not be considered persistent, and that you should be prepared for the possibility that they may stop working at some point in the future. I appreciate you bringing it to my attention; I will flag it with the DAP team as something they should consider as part of the transition. But it bears repeating that Fornsök is not primarily a system for managing or displaying parish data, and that fact is not changed by Wikipedia pretending that it is. The template uses Fornsök for something other than its intended function, and that behaviour should not be relied upon long-term.

Fornsök exists to access and display data from the national monuments register, "

And Wikipedia gives the unique possibility for a reader to find and read a parish article and find the RAÅ database and see what exists for that parish. feels you see it as a problem? you have people who has spent 1000 of hours writing articles in Wikipedia and created links to RAÄ and the result is > 1000 000 views/year on those articles..... we ask for a small change...

I don't think I understand what you're asking here, but I'll do my best. No, of course I don't think it's a problem that Wikipedia links to Fornsök. Quite the opposite! However I think that it would be unwise for Wikipedia to rely too heavily on Fornsök URLs, especially for things which lie outside of Fornsök's primary remit, such as parishes, as such links are not guaranteed to be permanent. (See above.)

NOTE: Would be nice if the product owner of Fornsök could confirm this ..... and also if there is some kind of official way to ask feature requests and get them logged like this task has [[T200157]] and is in stage (Input Riksantikvarieämbetet )

As I said, I'll pass the request along, both to Fornsök and to colleagues working with parish boundaries.

For me it feels like a bug and a missing test case when you dont handle the zero option...

I don't know the details as to why this is, but if I had to guess I would imagine that it has more to do with the copyright and licensing of the background mapping data from LMV. (Cf. the map layers for monuments cannot be turned off.) Fundamentally, though, Fornsök is a system for displaying information about ancient monuments; if there are no ancient monuments to display then no, those links are not going to work as you seem to think they should. Such "null" links should be possible with the new platform though, as it is designed explicitly with that in mind (e.g. displaying areas which have been surveyed or excavated where no archaeological remains were found).

I guess CC-0 parish polygons is what sv:Wikipedia are waiting on .... for the user case parish border..... compare SCB "församlingsgränser" it has been a problem for abt. a month see [[T199802]]....

Parish polygon data is available to download from http://www.fmis.raa.se/cocoon/fornsok/downloads.html (socknar_sverige.zip or socknar_sverige_RT90.zip) and is CC0 per https://www.raa.se/hitta-information/information-tillganglig-for-vidareutnyttjande/ Under the new platform this data will be published as a service from a WMS/WFS server.

Summary

  1. We need a way to report errors and feature requests to RAÄ and get unique numbers that we can track

Report bugs and feature requests to fornsok@raa.se

  1. In this User case I feel we are interested in
    1. see the parish border

The parameter already exists but does not work (see above); filed as a bug, hopefully fixed soon!

  1. display what remainings exists for the parish
    1. this last option works ok for a parish using the "sockenkod" except that the application dont handle the zero case

As noted, this works at present for parishes with registered monuments, and will hopefully work for "null" links in a future iteration of the new DAP platform.

Vidarebefodrade Info att Mall Sn-RAÄ snart är obsolete länk
Response from super user

Fornsök är den kanske viktigaste länken på socknsidorna, kan de verkligen bara ta bort den, ersätts den inte?

Nb that as I've previously pointed out, Fornsök is going to be replaced, with a new public-facing platform. The data is not going to disappear. However, we cannot guarantee that links of the form "http://www.fmis.raa.se/cocoon/fornsok/..." will continue to resolve on the new platform. SOCH is our platform for linked open data, and provides permanent URIs. I do not think that your characterisation on that discussion page accurately or fairly describes the situation.

The parish data in Fornsök is primarily for our own archival purposes for managing monuments data, and is not intended to be a national authority for parish data. We make it freely available anyway (see links above) as people often ask for it, and it may have some use cases in other areas. I would be more inclined to focus my efforts on TORA for parish data, if I were you; indeed, it is possible that we may switch to using TORA ourselves as an authority in future, rather than maintaining own own parish data in parallel.

Summary

  • Avoid using "http://www.fmis.raa.se/cocoon/fornsok/..." URLs where possible; they may change or stop working
  • Use "http://kulturarvsdata.se/..." persistent URIs where possible
  • FMIS/Fornsök may be going away, but its data isn't, and a new platform and public interface will replace it
  • Don't treat the parish data in Fornsök as a national authority for parish data, as it is primarily maintained in relation to the monuments data in FMIS and the archives in ATA
  • Use TORA for parish data
Salgo60 updated the task description. (Show Details)Jul 29 2018, 11:29 AM
Salgo60 updated the task description. (Show Details)Aug 17 2018, 2:07 AM